Loading...
Searching...
No Matches
RDKit::RDKitFP Namespace Reference

## Classes

class | RDKitFPArguments
class | RDKitFPAtomEnv
class | RDKitFPAtomInvGenerator
class | RDKitFPEnvGenerator

## Functions

template<typename OutputType >

RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > *

getRDKitFPGenerator (unsigned int minPath=1, unsigned int maxPath=7, bool useHs=true, bool branchedPaths=true, bool useBondOrder=true, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, bool countSimulation=false, const std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, std::uint32_t fpSize=2048, std::uint32_t numBitsPerFeature=2, bool ownsAtomInvGen=false)

| Get a RDKit fingerprint generator with given parameters.

## Function Documentation

## getRDKitFPGenerator()

template<typename OutputType >

RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > * RDKit::RDKitFP::getRDKitFPGenerator | ( | unsigned int | minPath = `1`,
|  | unsigned int | maxPath = `7`,
|  | bool | useHs = `true`,
|  | bool | branchedPaths = `true`,
|  | bool | useBondOrder = `true`,
|  | AtomInvariantsGenerator * | atomInvariantsGenerator = `nullptr`,
|  | bool | countSimulation = `false`,
|  | const std::vector< std::uint32_t > | countBounds = `{1, 2, 4, 8}`,
|  | std::uint32_t | fpSize = `2048`,
|  | std::uint32_t | numBitsPerFeature = `2`,
|  | bool | ownsAtomInvGen = `false`
| ) |  |

Get a RDKit fingerprint generator with given parameters.

Template Parameters

  OutputType | determines the size of the bitIds and the result, can be 32 or 64 bit unsigned integer

Parameters

  minPath | the minimum path length (in bonds) to be included
  maxPath | the maximum path length (in bonds) to be included
  useHs | toggles inclusion of Hs in paths (if the molecule has explicit Hs)
  branchedPaths | toggles generation of branched subgraphs, not just linear paths
  useBondOrder | toggles inclusion of bond orders in the path hashes
  atomInvariantsGenerator | custom atom invariants generator to use
  countSimulation | if set, use count simulation while generating the fingerprint
  countBounds | boundaries for count simulation, corresponding bit will be set if the count is higher than the number provided for that spot
  fpSize | size of the generated fingerprint, does not affect the sparse versions
  numBitsPerFeature | controls the number of bits that are set for each path/subgraph found
  ownsAtomInvGen | if set atom invariants generator is destroyed with the fingerprint generator

/return FingerprintGenerator<OutputType>* that generates RDKit fingerprints

This generator supports the following `AdditionalOutput` types:

- `atomToBits` : which bits each atom is involved in
- `atomCounts` : how many bits each atom sets
- `bitPaths` : map from bitId to vectors of bond indices for the individual subgraphs